com.pixelmed.dicom

## Class CodingSchemeIdentification

- java.lang.Object
- - com.pixelmed.dicom.CodingSchemeIdentification

    public class CodingSchemeIdentification
    extends java.lang.Object

A class to encapsulate the attributes related to Coding Scheme Identification encoded in composite instances within CodingSchemeIdentificationSequence.

Includes a "dictionary" of various commonly used coding schemes and mappings between their CodingSchemeDesignators and OIDs, as well as convenience methods to add and extract what coding schemes are used within an instance.

### Field Summary

Fields
`static CodingSchemeIdentificationItem` `I10P`
`protected static CodingSchemeIdentificationItem[]` `knownCodingSchemes`
`protected java.util.List<CodingSchemeIdentificationItem>` `listOfItems`
`static java.lang.String` `REGISTRY_HL7`
`static CodingSchemeIdentificationItem` `SRT`

### Constructor Summary

Constructors
Constructor and Description
`CodingSchemeIdentification(AttributeList list)` Construct a CodingSchemeIdentification from the CodingSchemeIdentificationSequence in the supplied list.
`CodingSchemeIdentification(java.util.List<CodingSchemeIdentificationItem> listOfItems)` Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

### Method Summary

Methods
`SequenceAttribute` `getAsSequenceAttribute()` Get as a CodingSchemeIdentificationSequence attribute.
`CodingSchemeIdentificationItem` `getByCodingSchemeDesignator(java.lang.String codingSchemeDesignator)` Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.
`static CodingSchemeIdentification` `getCodingSchemesFromExistingAttributeList(AttributeList list)` Build a new CodingSchemeIdentification instance by examing all uses of CodedSequenceItems within the supplied list.
`protected static CodingSchemeIdentificationItem` `lookupByCodingSchemeDesignator(java.lang.String csd)`
`protected static void` `recursivelyCollectCodingSchemeDesignators(AttributeList list, java.util.Set<java.lang.String> schemesFound)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### listOfItems

    protected java.util.List<CodingSchemeIdentificationItem> listOfItems

#### REGISTRY_HL7

    public static final java.lang.String REGISTRY_HL7

See Also:
  Constant Field Values

#### SRT

    public static final CodingSchemeIdentificationItem SRT

#### I10P

    public static final CodingSchemeIdentificationItem I10P

#### knownCodingSchemes

    protected static CodingSchemeIdentificationItem[] knownCodingSchemes

### Constructor Detail

#### CodingSchemeIdentification

    public CodingSchemeIdentification(AttributeList list)

Construct a CodingSchemeIdentification from the CodingSchemeIdentificationSequence in the supplied list.

Parameters:
  `list` - the list in which to look for the CodingSchemeIdentificationSequence attribute

#### CodingSchemeIdentification

    public CodingSchemeIdentification(java.util.List<CodingSchemeIdentificationItem> listOfItems)

Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

Parameters:
  `listOfItems` - may be null if none (yet)

### Method Detail

#### lookupByCodingSchemeDesignator

    protected static CodingSchemeIdentificationItem lookupByCodingSchemeDesignator(java.lang.String csd)

#### getAsSequenceAttribute

    public SequenceAttribute getAsSequenceAttribute()

Get as a CodingSchemeIdentificationSequence attribute.

Returns:
  a SequenceAttribute with one item per coding scheme, or null if no coding schemes

#### getByCodingSchemeDesignator

    public CodingSchemeIdentificationItem getByCodingSchemeDesignator(java.lang.String codingSchemeDesignator)

Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.

Returns:
  a CodingSchemeIdentificationItem, or null if not found

#### recursivelyCollectCodingSchemeDesignators

    protected static void recursivelyCollectCodingSchemeDesignators(AttributeList list,
                                                 java.util.Set<java.lang.String> schemesFound)

#### getCodingSchemesFromExistingAttributeList

    public static CodingSchemeIdentification getCodingSchemesFromExistingAttributeList(AttributeList list)

Build a new CodingSchemeIdentification instance by examing all uses of CodedSequenceItems within the supplied list.

Parameters:
  `list` - the list in which to look for the CodedSequenceItem attribute
Returns:
  a new CodingSchemeIdentification, or null if none found